# pandas.Timedelta.resolution_string

`Timedelta.``resolution_string`

  Return a string representing the lowest timedelta resolution.

  Each timedelta has a defined resolution that represents the lowest OR most granular level of precision. Each level of resolution is represented by a short string as defined below:

  Resolution: Return value

  - Days: ‘D’
  - Hours: ‘H’
  - Minutes: ‘T’
  - Seconds: ‘S’
  - Milliseconds: ‘L’
  - Microseconds: ‘U’
  - Nanoseconds: ‘N’

  Returns:

  str

  > Timedelta resolution.

  Examples

      >>> td = pd.Timedelta('1 days 2 min 3 us 42 ns')
      >>> td.resolution
      'N'

      >>> td = pd.Timedelta('1 days 2 min 3 us')
      >>> td.resolution
      'U'

      >>> td = pd.Timedelta('2 min 3 s')
      >>> td.resolution
      'S'

      >>> td = pd.Timedelta(36, unit='us')
      >>> td.resolution
      'U'

Scroll To Top